Index: Makefile.in
--- Makefile.in.dist	Tue Apr 15 14:50:22 2003
+++ Makefile.in	Tue Apr 15 14:50:58 2003
@@ -698,10 +698,10 @@
 
 
 install-data-hook:
-	if test -f $(DEFAULT_CONFIG); then \
-		$(ECHO) "$(DEFAULT_CONFIG) exists, not overwritten"; \
+	if test -f $(DESTDIR)$(DEFAULT_CONFIG); then \
+		$(ECHO) "$(DESTDIR)$(DEFAULT_CONFIG) exists, not overwritten"; \
 	else \
-		$(INSTALL_DATA) $(srcdir)/whoson.conf $(DEFAULT_CONFIG); \
+		$(INSTALL_DATA) $(srcdir)/whoson.conf $(DESTDIR)$(DEFAULT_CONFIG); \
 	fi; \
 	for f in $(MAN3XTRA); do \
 		rm -f $(DESTDIR)$(man3dir)/$$f; \
--- whosond.c.dist	Tue Apr 15 14:37:01 2003
+++ whosond.c	Tue Apr 15 14:38:32 2003
@@ -153,6 +153,8 @@
 	if (daemon) {
 		int child;
 		if ((child=fork()) > 0) {
+            printf("%d\n",child);
+            fflush(stdout);
 			sleep(1);
 			return 0;
 		} else if (child < 0) {
Index: whoson.conf
--- whoson.conf.dist	Tue Apr 15 15:16:43 2003
+++ whoson.conf	Tue Apr 15 16:51:52 2003
@@ -13,13 +13,13 @@
 # stream socket.  "port" is the name of the socket.
 
 client	unix
-	port=/var/run/whoson.s
+	port=@l_prefix@/var/whoson/run/whoson.s
 
 # Connect to the server running on the same machine via a unix domain
 # datagram socket.  "port" is the name of the socket.
 
 client	unixd
-	port=/var/run/whoson.d
+	port=@l_prefix@/var/whoson/run/whoson.d
 	maxtries=5
 	inittimeout=100000
 
@@ -39,7 +39,7 @@
 # Connect to the server over the TCP protocol.
 
 client	tcp port=9876
-	address=194.67.3.216
+	address=127.0.0.1
 
 # There may be any number of any type entries.
 # Stream protocols (tcp and unix) allow for persistent connections
@@ -62,23 +62,25 @@
 	port=9876
 	listenq=5
 	keepalive=150
-	allow=123.45.67.0/24		# Allow the the whole network
-	deny=123.45.67.89/32		# except these ..
-	deny=123.45.67.90/32		#		.. two machines
-server	unix port=/var/run/whoson.s keepalive=150
+	#allow=123.45.67.0/24		# Allow the the whole network
+	#deny=123.45.67.89/32		# except these ..
+	#deny=123.45.67.90/32		#		.. two machines
+    allow=127.0.0.1/32
+server	unix port=@l_prefix@/var/whoson/run/whoson.s keepalive=150
 	listenq=5
-server	unixd port=/var/run/whoson.d
+server	unixd port=@l_prefix@/var/whoson/run/whoson.d
 server	udp port=9876
-	allow=0.0.0.0/0			# open to the world.  Don't do that!
+	#allow=0.0.0.0/0			# open to the world.  Don't do that!
+	allow=127.0.0.1/32
 
 # "global" pseudo server that does not listen; it is only used to set
 # global configuration parameters.  "ttl" - how many seconds
 # inserted entries will live in the database if not deleted explicitely.
 
 server	global ttl=600			# 10 minutes
-	chroot=/some/empty/directory	# chdir and chroot here
-	group=nobody			# change group id and
-	user=nobody			# user id after bind()ing
-	cachesize=100000		# max. number of entries to keep
+	chroot=@l_prefix@/var/whoson/empty/	# chdir and chroot here
+	group=@l_rgrp@    			# change group id and
+	user=@l_rusr@			    # user id after bind()ing
+	cachesize=100000		    # max. number of entries to keep
 
 # end of config
Index: WHOSON/Makefile.PL.in
--- WHOSON/Makefile.PL.in.orig	2004-05-08 23:49:45.000000000 +0200
+++ WHOSON/Makefile.PL.in	2004-05-08 23:51:41.000000000 +0200
@@ -6,7 +6,7 @@
 WriteMakefile(
     'NAME'	=> 'WHOSON',
     'VERSION_FROM' => 'WHOSON.pm',
-    'LIBS'	=> ['-L@libdir@ -lwhoson'],
+    'LIBS'	=> ['-L../.libs -lwhoson'],
     'DEFINE'	=> '',
-    'INC'	=> '-I@includedir@',
+    'INC'	=> '-I..',
 );
